## memtest86 2.9-1

=== Makefile ===
# Makefile for MemTest-86
#
# Author:		Chris Brady
# Created:		January 1, 1996

#
# Path for the floppy disk device
#
FDISK=/dev/fd0

CC=gcc
#
# gcc compiler options, these settings should suffice
#
CCFLAGS=-Wall -march=i486 -O -fomit-frame-pointer

AS=as

OBJS=head.o main.o test.o init.o lib.o patn.o screen_buffer.o config.o memsize.o

all: memtest.bin

test.o: test.c test.h defs.h config.h
	$(CC) -c $(CCFLAGS) test.c

main.o: main.c test.h defs.h
	$(CC) -c $(CCFLAGS) main.c

init.o: init.c test.h defs.h io.h config.h
	$(CC) -c $(CCFLAGS) init.c

memsize.o: memsize.c test.h defs.h config.h
	$(CC) -c $(CCFLAGS) memsize.c

lib.o: lib.c test.h defs.h io.h screen_buffer.h serial.h config.h
	$(CC) -c $(CCFLAGS) lib.c

screen_buffer.o: screen_buffer.c screen_buffer.h test.h config.h
	$(CC) -c $(CCFLAGS) screen_buffer.c

patn.o: patn.c
	$(CC) -c $(CCFLAGS) patn.c

config.o: config.c test.h
	$(CC) -c $(CCFLAGS) config.c

head.s: head.S
	$(CC) -E -traditional $< -o $@

head.o: head.s
	$(AS) -o $@ $<

makedefs: makedefs.c defs.h
	$(CC) $(CCFLAGS) makedefs.c -o $@

defs.lds: makedefs
	./makedefs > $@

low.o: $(OBJS) low.lds defs.lds
	$(LD) -T low.lds -o $@ -Map low_mapfile $(OBJS)
	strip $@

high.o: $(OBJS) high.lds defs.lds
	$(LD) -T high.lds -o $@ -Map high_mapfile $(OBJS)
	strip $@

memtest: low.o high.o memtest.lds defs.lds
	$(LD) -s -T memtest.lds low.o high.o -o $@

memtest.out: memtest
	$(LD) -s --oformat binary -e 0 -o $@ $<

bootsect.s: bootsect.S defs.h
	$(CC) -E -traditional $< -o $@

bootsect.o: bootsect.s
	$(AS) -o $@ $<

bootsect: bootsect.o
	$(LD) -Ttext 0x0 -s --oformat binary -e _main -o $@ $<

setup.s: setup.S config.h defs.h
	$(CC) -E -traditional $< -o $@

setup.o: setup.s
	$(AS) -o $@ $<

setup: setup.o
	$(LD) -Ttext 0x0 --oformat binary -e start -o $@ $<

memtest.bin: memtest.out bootsect setup
	cat bootsect setup memtest.out > $@


clean:
	rm -f *.o *.s memtest.bin bootsect setup low_mapfile high_mapfile \
		memtest memtest.out makedefs defs.lds

wormkill: 
	rm -f *~

install: all
	dd <memtest.bin >$(FDISK) bs=8192

install-bin:
	dd <precomp.bin >$(FDISK) bs=8192

=== debian/changelog ===
memtest86 (2.9-1) unstable; urgency=low

  * New upstream release, including bugfixes for testing more than 2GB,
    and changes to the way it looks for memory to be tested.

 -- Yann Dirson <dirson@debian.org>  Sat,  9 Mar 2002 15:50:43 +0100

memtest86 (2.8a-2) unstable; urgency=low

  * Fixed typo in description (Closes: #125126).
  * Added sample grub menu entry (Closes: #127399).
  * Upgraded standards-version to 3.5.6 - no change.

 -- Yann Dirson <dirson@debian.org>  Wed, 30 Jan 2002 22:14:28 +0100

memtest86 (2.8a-1) unstable; urgency=low

  * New upstream release - serial console is disabled by default now, it
    made testing sooo sllooow.

 -- Yann Dirson <dirson@debian.org>  Sat, 24 Nov 2001 15:32:32 +0100

memtest86 (2.7-1) unstable; urgency=low

  * New upstream release (Closes: #110541).
  * Suggest sysutils, not memtest (Closes: #102244).
  * Offer in postinst to run lilo.  Interactive, but then postinst of lilo
    and of kernel-image are - we need a global solution anyway.
    Closes: #109833.

 -- Yann Dirson <dirson@debian.org>  Mon,  3 Sep 2001 23:13:32 +0200

memtest86 (2.6-1) unstable; urgency=low

  * First release to be packaged out of the hwtools package.
  * Install as /boot/memtest86.bin.
  * Added sample lilo.conf entry as example.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Jun 2001 01:19:05 +0200

=== debian/control ===
Source: memtest86
Section: misc
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>> 3.0.0), bin86
Standards-Version: 3.5.6

Package: memtest86
Architecture: i386
Suggests: hwtools, sysutils, kernel-patch-badram
Description: A thorough real-mode memory tester.
 Memtest86 scans your RAM for errors.
 .
 This tester runs independently of any OS - it is run at computer
 boot-up, so that it can test *all* of you memory.  You may want to
 look at `memtest' (in package `sysutils'), which allows to test
 your memory within Linux, but this one won't be able to test your
 whole RAM.
 .
 This used to be part of the hwtools package, which still contains
 another real-mode memory tester optimized for mmx machines (but less
 actively maintained).
 .
 It can output a list of bad RAM regions usable by the BadRAM kernel
 patch, so that you can still use you old RAM with one or 2 bad bits.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/memtest86/boot/
	cp memtest.bin debian/memtest86/boot/memtest86.bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs README
	dh_installexamples debian/lilo.conf debian/grub-menu.lst
	dh_installchangelogs
#	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## memtest86 3.1a

=== Makefile ===
# Makefile for MemTest-86
#
# Author:		Chris Brady
# Created:		January 1, 1996

#
# Path for the floppy disk device
#
FDISK=/dev/fd0

CC=gcc
#
# gcc compiler options, these settings should suffice
#
CCFLAGS=-Wall -march=i486 -Os -fomit-frame-pointer -fno-builtin -ffreestanding

AS=as -k

OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o config.o linuxbios.o memsize.o pci.o controller.o

all: memtest.bin memtest

reloc.o: reloc.c
	$(CC) -c $(CCFLAGS) -fPIC reloc.c
reloc.s: reloc.c
	$(CC) -S $(CCFLAGS) -fPIC reloc.c

test.o: test.c test.h defs.h config.h
	$(CC) -c $(CCFLAGS) test.c

main.o: main.c test.h defs.h
	$(CC) -c $(CCFLAGS) -fPIC main.c

init.o: init.c test.h defs.h io.h config.h controller.h pci.h
	$(CC) -c $(CCFLAGS) -fPIC init.c

linuxbios.o: linuxbios.c test.h linuxbios_tables.h defs.h config.h
	$(CC) -c $(CCFLAGS) -fPIC linuxbios.c

memsize.o: memsize.c test.h defs.h config.h
	$(CC) -c $(CCFLAGS) -fPIC memsize.c

lib.o: lib.c test.h defs.h io.h screen_buffer.h serial.h config.h
	$(CC) -c $(CCFLAGS) -fPIC lib.c

screen_buffer.o: screen_buffer.c screen_buffer.h test.h config.h
	$(CC) -c $(CCFLAGS) -fPIC screen_buffer.c

patn.o: patn.c
	$(CC) -c $(CCFLAGS) -fPIC patn.c

config.o: config.c test.h controller.h screen_buffer.h
	$(CC) -c $(CCFLAGS) -fPIC config.c

pci.o: pci.c pci.h io.h
	$(CC) -c $(CCFLAGS) -fPIC pci.c

controller.o: controller.c defs.h config.h test.h pci.h controller.h
	$(CC) -c $(CCFLAGS) -fPIC controller.c

controller.s: controller.c defs.h config.h test.h pci.h controller.h
	$(CC) -S $(CCFLAGS) -fPIC controller.c

head.s: head.S
	$(CC) -E -traditional $< -o $@

head.o: head.s
	$(AS) -o $@ $<

makedefs: makedefs.c defs.h
	 $(CC) $(CCFLAGS) makedefs.c -o $@

# Link it statically once so I know I don't have undefined
# symbols and then link it dynamically so I have full
# relocation information
memtest_shared: $(OBJS) memtest_shared.lds Makefile
	$(LD) --warn-constructors --warn-common -static -T memtest_shared.lds -o $@ $(OBJS) && \
	$(LD) -shared -Bsymbolic -T memtest_shared.lds -o $@ $(OBJS)

memtest_shared.bin: memtest_shared
	objcopy -O binary $< memtest_shared.bin

memtest: memtest_shared.bin memtest.lds
	$(LD) -s -T memtest.lds -b binary memtest_shared.bin -o $@

bootsect.s: bootsect.S defs.h
	$(CC) -E -traditional $< -o $@

bootsect.o: bootsect.s
	$(AS) -o $@ $<

bootsect: bootsect.o
	$(LD) -Ttext 0x00 -s --oformat binary -e _main --just-symbols=memtest_shared.o -o $@ $<

setup.s: setup.S config.h defs.h
	$(CC) -E -traditional $< -o $@

setup.o: setup.s
	$(AS) -o $@ $<


memtest.bin: memtest_shared.bin bootsect.o setup.o memtest.bin.lds
	$(LD) -T memtest.bin.lds bootsect.o setup.o -b binary memtest_shared.bin -o memtest.bin

clean:
	rm -f *.o *.s memtest.bin bootsect setup low_mapfile high_mapfile \
		memtest memtest.out makedefs defs.lds memtest_shared memtest_shared.bin

wormkill: 
	rm -f *~

install: all
	dd <memtest.bin >$(FDISK) bs=8192

install-bin:
	dd <precomp.bin >$(FDISK) bs=8192

## memtest86 3.2

=== Makefile ===
--- 
+++ 
@@ -12,18 +12,16 @@
 #
 # gcc compiler options, these settings should suffice
 #
-CCFLAGS=-Wall -march=i486 -Os -fomit-frame-pointer -fno-builtin -ffreestanding
+CCFLAGS=-Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding
 
-AS=as -k
+AS=as -32
 
-OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o config.o linuxbios.o memsize.o pci.o controller.o
+OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o config.o linuxbios.o memsize.o pci.o controller.o random.o extra.o
 
 all: memtest.bin memtest
 
 reloc.o: reloc.c
-	$(CC) -c $(CCFLAGS) -fPIC reloc.c
-reloc.s: reloc.c
-	$(CC) -S $(CCFLAGS) -fPIC reloc.c
+	$(CC) -c -m32 -fPIC -Wall -O -fno-strict-aliasing reloc.c
 
 test.o: test.c test.h defs.h config.h
 	$(CC) -c $(CCFLAGS) test.c
@@ -58,11 +56,14 @@
 controller.o: controller.c defs.h config.h test.h pci.h controller.h
 	$(CC) -c $(CCFLAGS) -fPIC controller.c
 
+extra.o: config.c test.h screen_buffer.h extra.h extra.c
+	$(CC) -c $(CCFLAGS) -fPIC extra.c
+
 controller.s: controller.c defs.h config.h test.h pci.h controller.h
 	$(CC) -S $(CCFLAGS) -fPIC controller.c
 
 head.s: head.S
-	$(CC) -E -traditional $< -o $@
+	$(CC) -E -m32 -traditional $< -o $@
 
 head.o: head.s
 	$(AS) -o $@ $<
@@ -112,5 +113,5 @@
 install: all
 	dd <memtest.bin >$(FDISK) bs=8192
 
-install-bin:
+install-precomp:
 	dd <precomp.bin >$(FDISK) bs=8192

## memtest86 3.4

=== Makefile ===
# Makefile for MemTest-86
#
# Author:		Chris Brady
# Created:		January 1, 1996

#
# Path for the floppy disk device
#
FDISK=/dev/fd0

CC=gcc

CFLAGS=-Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin \
	-ffreestanding -fPIC

OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o \
      config.o linuxbios.o memsize.o pci.o controller.o random.o extra.o \
      spd.o error.o dmi.o

all: memtest.bin memtest

# Link it statically once so I know I don't have undefined
# symbols and then link it dynamically so I have full
# relocation information
memtest_shared: $(OBJS) memtest_shared.lds Makefile
	$(LD) --warn-constructors --warn-common -static -T memtest_shared.lds \
	-o $@ $(OBJS) && \
	$(LD) -shared -Bsymbolic -T memtest_shared.lds -o $@ $(OBJS)

memtest_shared.bin: memtest_shared
	objcopy -O binary $< memtest_shared.bin

memtest: memtest_shared.bin memtest.lds
	$(LD) -s -T memtest.lds -b binary memtest_shared.bin -o $@

memtest.bin: memtest_shared.bin bootsect.o setup.o memtest.bin.lds
	$(LD) -T memtest.bin.lds bootsect.o setup.o -b binary \
	memtest_shared.bin -o memtest.bin

reloc.o: reloc.c
	$(CC) -c $(CFLAGS) -fno-strict-aliasing reloc.c

test.o: test.c
	$(CC) -c -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin \
        -ffreestanding test.c

clean:
	rm -f *.o memtest.bin memtest memtest_shared memtest_shared.bin

install: all
	dd <memtest.bin >$(FDISK) bs=8192

install-precomp:
	dd <precomp.bin >$(FDISK) bs=8192

## memtest86 3.5

=== Makefile ===
# Makefile for MemTest86+
#
# Author:		Chris Brady
# Created:		January 1, 1996

#
# Path for the floppy disk device
#
FDISK=/dev/fd0

AS=as -32
CC=gcc

CFLAGS= -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding -fPIC $(SMP_FL)

OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o \
      config.o linuxbios.o memsize.o pci.o controller.o random.o extra.o \
      spd.o error.o dmi.o smp.o cpuid.o

all: clean memtest.bin memtest

smp:
	make SMP_FL=-DSMP

# Link it statically once so I know I don't have undefined
# symbols and then link it dynamically so I have full
# relocation information
memtest_shared: $(OBJS) memtest_shared.lds Makefile
	$(LD) --warn-constructors --warn-common -static -T memtest_shared.lds \
	-o $@ $(OBJS) && \
	$(LD) -shared -Bsymbolic -T memtest_shared.lds -o $@ $(OBJS)

memtest_shared.bin: memtest_shared
	objcopy -O binary $< memtest_shared.bin

memtest: memtest_shared.bin memtest.lds
	$(LD) -s -T memtest.lds -b binary memtest_shared.bin -o $@

head.s: head.S config.h defs.h test.h
	$(CC) -E -traditional $< -o $@

bootsect.s: bootsect.S config.h defs.h
	$(CC) -E -traditional $< -o $@

setup.s: setup.S config.h defs.h
	$(CC) -E -traditional $< -o $@

memtest.bin: memtest_shared.bin bootsect.o setup.o memtest.bin.lds
	$(LD) -T memtest.bin.lds bootsect.o setup.o -b binary \
	memtest_shared.bin -o memtest.bin

reloc.o: reloc.c
	$(CC) -c $(CFLAGS) -fno-strict-aliasing reloc.c

test.o: test.c
	$(CC) -c -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding test.c

clean:
	rm -f *.o *.s *.iso memtest.bin memtest memtest_shared memtest_shared.bin

iso:
	make all
	./makeiso.sh
	rm -f *.o *.s memtest.bin memtest memtest_shared memtest_shared.bin

install: all
	dd <memtest.bin >$(FDISK) bs=8192

install-precomp:
	dd <precomp.bin >$(FDISK) bs=8192
	
dos: all
	cat mt86+_loader memtest.bin > memtest.exe

## memtest86 4.0s

=== Makefile ===
--- 
+++ 
@@ -11,16 +11,13 @@
 AS=as -32
 CC=gcc
 
-CFLAGS= -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding -fPIC $(SMP_FL)
+CFLAGS= -Wall -march=i486 -m32 -O1 -fomit-frame-pointer -fno-builtin \
+	-ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
 
 OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o \
-      config.o linuxbios.o memsize.o pci.o controller.o random.o extra.o \
-      spd.o error.o dmi.o smp.o cpuid.o
+      config.o linuxbios.o memsize.o error.o smp.o cpuid.o vmem.o random.o
 
 all: clean memtest.bin memtest
-
-smp:
-	make SMP_FL=-DSMP
 
 # Link it statically once so I know I don't have undefined
 # symbols and then link it dynamically so I have full
@@ -53,15 +50,18 @@
 	$(CC) -c $(CFLAGS) -fno-strict-aliasing reloc.c
 
 test.o: test.c
-	$(CC) -c -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding test.c
+	$(CC) -c -Wall -march=i486 -m32 -O0 -fomit-frame-pointer -fno-builtin -ffreestanding test.c
+
+random.o: random.c
+	$(CC) -c -Wall -march=i486 -m32 -O3 -fomit-frame-pointer -fno-builtin -ffreestanding random.c
 
 clean:
-	rm -f *.o *.s *.iso memtest.bin memtest memtest_shared memtest_shared.bin
+	rm -f *.o *.s *.iso memtest.bin memtest memtest_shared \
+		memtest_shared.bin memtest.iso
 
 iso:
 	make all
 	./makeiso.sh
-	rm -f *.o *.s memtest.bin memtest memtest_shared memtest_shared.bin
 
 install: all
 	dd <memtest.bin >$(FDISK) bs=8192

## memtest86 4.3.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	-ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
 
 OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o \
-      config.o linuxbios.o memsize.o error.o smp.o cpuid.o vmem.o random.o
+      config.o memsize.o error.o smp.o cpuid.o vmem.o random.o
 
 all: clean memtest.bin memtest

=== debian/changelog ===
memtest86 (4.3.7-3) unstable; urgency=medium

  * Switch to source format "3.0 (quilt)".
  * Build with -fgnu89-inline for GCC 5 (Matthias Klose, Closes: #778000)

 -- Yann Dirson <dirson@debian.org>  Thu, 25 Jun 2015 18:24:37 +0200

memtest86 (4.3.7-2) unstable; urgency=medium

  * Update extended description and README.Debian to make it clear that
    later versions are not DFSG-free.
  * Upgrade "Suggests: memtest86+" to a "Recommends:".
  * Make it explicit that make-memtest86-boot-floppy only works with
    grub-legacy, and point to memtest86+.iso as alternative.
  * Documented hairy source-download process in debian/copyright and
    list the new copyright holder.

 -- Yann Dirson <dirson@debian.org>  Tue, 10 Mar 2015 21:21:52 +0100

memtest86 (4.3.7-1) unstable; urgency=medium

  * New upstream release, and as it seems the last Free/OpenSource one.
  * Updated debconf l10n for Slovak (Ivan Masár, Closes: #677917).
  * New debconf l10n (Mert Dirik, Closes: #757507).

 -- Yann Dirson <dirson@debian.org>  Sat, 11 Oct 2014 16:46:24 +0200

memtest86 (4.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Dec 2013 21:47:15 +0100

memtest86 (4.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Nov 2013 17:24:11 +0100

memtest86 (4.3.4-1) unstable; urgency=low

  * New upstream release, now available again directly from download dir.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Nov 2013 23:14:03 +0100

memtest86 (4.3.3-1) unstable; urgency=low

  * New upstream release, still extracted from upstream's unversionned
    memtest86-iso.gz.

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Sep 2013 23:26:50 +0200

memtest86 (4.3.2-1) unstable; urgency=low

  * New upstream release, painfully extracted from upstream's unversionned
    memtest86-iso.gz.  Upstream contacted about the issue.  Kept
    debian/watch in the hope that it will be working againt soon...
  * Updated debian/watch to at least see the (older) versionned source
    files there.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Sep 2013 22:03:29 +0200

memtest86 (4.0s-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMUs.

 -- Yann Dirson <dirson@debian.org>  Sun, 13 May 2012 23:18:23 +0200

memtest86 (4.0a-0.1) unstable; urgency=low

  * Non-maintainer upload, with maintainer's permission.
  * New upstream version (Closes: #622395):
    - Support machines with >= 4GB of RAM.  Closes: #522525, #572347, #582610,
      #647756. 
    - Fix build with -O3.  Closes: #389258.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Jan 2012 23:49:59 +0100

memtest86 (3.5-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #574435
    - Spanish (Ricardo Fraile).  Closes: #575646
    - Brazilian Portuguese (Fábio Antonio Ferreira).  Closes: #598637
    - Danish (Joe Hansen).  Closes: #621876
    - Slovak (Slavko).  Closes: #622097
    - Dutch; (Jeroen Schot).  Closes: #622755
  * Fix grammar error in package description ("allows _to_ <infinitive>")

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Oct 2011 02:13:27 +0200

memtest86 (3.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #562628
    - Portuguese (Américo Monteiro).  Closes: #563017
    - German (Thomas Mueller).  Closes: #563287
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #564290
    - French (Christian Perrier).  Closes: #564429
    - Swedish (Martin Bagge).  Closes: #564469
    - Czech (Michal Simunek).  Closes: #573192
    - Italian (Vincenzo Campanella).  Closes: #573826

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Mar 2010 17:24:50 +0100

memtest86 (3.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace manual prompt with debconf (Closes: #553291).
  * Compute the grub entry (either 'linux' or 'linux16') depending on
    whether we find the old or new grub lib file, to support upgrades
    from lenny
  * Fix "please source grub-mkconfig_lib instead of deprecated update-
    grub_lib in /etc/grub.d/20_memtest86", also via the above mechanism
    (Closes: #523114)
  * Update suggests to a recent version of grub2
  * Add a lintian override for statically-linked-binary (which is expected)

 -- Iustin Pop <iusty@k1024.org>  Sun, 06 Dec 2009 12:17:12 +0100

memtest86 (3.5-2) unstable; urgency=low

  * Sync'd packaging with memtest86+ 2.11-3.

 -- Yann Dirson <dirson@debian.org>  Sun, 01 Mar 2009 17:14:17 +0100

memtest86 (3.5-1) unstable; urgency=low

  * New upstream release.
  * Add Homepage in control file.
  * Bumped Standards-Version to 3.8.0.
  * Sync'd package with memtest86+ 2.11-2:
    * Added hurd-i386 as architecture (Closes: #482898).
    * Fixed finding boot image in grub script for newer grub.
    * Run update-grub2 from postrm only if /boot/grub/grub.cfg is present.
    * Use better idiom for safely calling "make clean".
    * Install elf image for use with kexec and such.
    * Depend on ${misc:Depends}
    * Update make-memtest86-boot-floppy (Closes: #504834).

 -- Yann Dirson <dirson@debian.org>  Mon, 09 Feb 2009 23:14:16 +0100

memtest86 (3.4-2) unstable; urgency=low

  * Call $(AS) with --32 (Hopefully closes: #462003).
  * Call update-grub2, not update-grub, in postinst, and also call it in
    postrm (Closes: #460079).

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Mar 2008 21:06:26 +0100

memtest86 (3.4-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch for new site layout (Closes: #450068).
  * Applied patch from Hiroyuki Yamamoto to run update-grub if available
    (Closes: #457636).
  * Install /etc/grub.d/20_memtest86 from Robert Millan, suggests grub2
    (Closes: #422356).
  * Sync with memtest86+ packaging:
    * support for kfreebsd-*
    * removed bashisms in postinst



=== debian/control ===
Source: memtest86
Section: misc
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>> 5), dh-buildinfo, po-debconf
Homepage: http://www.memtest86.com/
Standards-Version: 3.8.0

Package: memtest86
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 lpia hurd-i386
Depends: ${misc:Depends}
Suggests: hwtools, memtester, kernel-patch-badram, grub2 (>=1.96+20090523-1) | grub (>= 0.95+cvs20040624), mtools
Recommends: memtest86+
Description: thorough real-mode memory tester
 Memtest86 scans your RAM for errors.
 .
 This tester runs independently of any OS - it is run at computer
 boot-up, so that it can test *all* of your memory.  You may want to
 look at `memtester', which allows testing your memory within Linux,
 but this one won't be able to test your whole RAM.
 .
 It can output a list of bad RAM regions usable by the BadRAM kernel
 patch, so that you can still use you old RAM with one or two bad bits.
 .
 This is the last DFSG-compliant version of this software, upstream
 has opted for a proprietary development model starting with 5.0.  You
 may want to consider using memtest86+, which has been forked from an
 earlier version of memtest86, and provides a different set of
 features.  It is available in the memtest86+ package.
 .
 A convenience script is also provided to make a grub-legacy-based
 floppy or image.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE=memtest86

build: build-stamp
build-stamp:
	dh_testdir

# Different kernels, ABIs, ld defaults, see #338603
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	sed -i -e 's/"elf32-i386"/"elf32-i386-freebsd"/' memtest.lds memtest_shared.lds
endif

	$(MAKE) # CC=gcc-3.2
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -d debian/$(PACKAGE)/usr/bin
	install -m755 debian/make-$(PACKAGE)-boot-floppy debian/$(PACKAGE)/usr/bin/
	install -D -m644 memtest.bin debian/$(PACKAGE)/boot/$(PACKAGE).bin
	install -D -m644 memtest debian/$(PACKAGE)/usr/lib/$(PACKAGE)/$(PACKAGE).elf
	install -D -m755 debian/grub debian/$(PACKAGE)/etc/grub.d/20_$(PACKAGE)
	dh_installman debian/make-$(PACKAGE)-boot-floppy.1
	#install the lintian override
	install -d debian/$(PACKAGE)/usr/share/lintian/overrides
	install -m644 debian/lintian-overrides \
		debian/$(PACKAGE)/usr/share/lintian/overrides/$(PACKAGE)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs README
	dh_buildinfo
	dh_installexamples debian/lilo.conf debian/grub-menu.lst
	dh_installchangelogs
	dh_lintian
#	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.memtest86.com/downloads/ memtest86-(\d[\d.\w]*)-src\.tar\.gz
